我尝试构建一个带有推送通知的 ionic 3 应用程序,但我在 iOS 部署方面遇到了一些问题.
I try to build an ionic 3 app with push notification and I have some problem with iOS deployment.
我在 xcode 中有这 3 个错误:
I have this 3 error in xcode :
diff: /Podfile.lock: No such file or directory
diff: /Manifest.lock: No such file or directory
error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.
我已经尝试了很多我在互联网上找到的解决方案:
I have try a lot of solution I found on internet :
使用命令pod install"、pod update"
use command "pod install", "pod update"
删除和安装 CocoaPods
delete and install CocoaPods
更新 CocoaPods
update CocoaPods
删除Pods"文件夹、Podfile.lock"和Podfile"并运行pod install"命令.
Delete "Pods" folder, "Podfile.lock" and "Podfile" and run "pod install" command.
从库中的链接二进制文件中删除 libPods-myApp.a.
Remove libPods-myApp.a from Link Binary From Librairies.
但没有什么是有效的......
But nothing is effective...
我真的不知道我要做什么.
I really don't know what I have to do.
我的播客文件:
# DO NOT MODIFY -- auto-generated by Apache Cordova
platform :ios, '8.0'
target 'MyProject' do
project 'MyProject.xcodeproj'
pod 'GoogleCloudMessaging', '~> 1.2.0'
pod 'GGLInstanceID', '~> 1.2.1'
end
我的 Podfile.lock :
My Podfile.lock :
PODS:
- GGLInstanceID (1.2.1)
- GoogleCloudMessaging (1.2.0):
- GoogleInterchangeUtilities (~> 1.0)
- GoogleIPhoneUtilities (~> 1.0)
- GoogleSymbolUtilities (~> 1.0)
- GoogleInterchangeUtilities (1.2.2):
- GoogleSymbolUtilities (~> 1.1)
- GoogleIPhoneUtilities (1.2.1):
- GoogleSymbolUtilities (~> 1.0)
- GoogleUtilities (~> 1.0)
- GoogleSymbolUtilities (1.1.2)
- GoogleUtilities (1.3.2):
- GoogleSymbolUtilities (~> 1.1)
DEPENDENCIES:
- GGLInstanceID (~> 1.2.1)
- GoogleCloudMessaging (~> 1.2.0)
SPEC CHECKSUMS:
GGLInstanceID: 4a317044f744281b82cd03015f379899f277cad3
GoogleCloudMessaging: f37ea14dd0f41d4d889c10b5559dd35bbfd9ac26
GoogleInterchangeUtilities: d5bc4d88d5b661ab72f9d70c58d02ca8c27ad1f7
GoogleIPhoneUtilities: 63f25e93a3ddcb66884d182aab3a660d98f1479b
GoogleSymbolUtilities: 631ee17048aa5e9ab133470d768ea997a5ef9b96
GoogleUtilities: 8bbc733218aad26306f9d4a253823986110e3358
PODFILE CHECKSUM: 0ff66d442dc6f28bf0fbc7a6b12af811ecc9a43c
COCOAPODS: 1.2.1
更新
我的 [CP] 检查 Pods Manifest.lock :
My [CP] Check Pods Manifest.lock :
diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null
if [ $? != 0 ] ; then
# print error to STDERR
echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2
exit 1
fi
我真的需要帮助.:(
更新
我已将我的 [CP] Check Pods Manifest.lock 修改为:
I have modify my [CP] Check Pods Manifest.lock to this :
diff "${SRCROOT}/Podfile.lock" "${SRCROOT}/Pods/Manifest.lock" > /dev/null
if [ $? != 0 ] ; then
# print error to STDERR
echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2
exit 1
fi
我的树错误消失了,但我有这个新错误:
My tree errors are disapear but I have this new error :
Module 'FirebaseInstanceID' not found
我不知道为什么.我尝试运行 pod install
但没有区别.
I don't know why. I tried to run pod install
but no difference.
试试
pod repo update
pod install
这篇关于Ionic 3 - cocoapods 的 xcode 错误的文章就介绍到这了,希望我们推荐的答案对大家有所帮助,也希望大家多多支持跟版网!